{ pkgs, ... }: let
  common = import ../common.nix { inherit pkgs; };
in {
  services.minecraft-servers.servers.dewdemolisher = {
    enable = true;
    package = pkgs.paperServers.paper-1_21_1;
    jvmOpts = "-Xmx2000M";
    serverProperties = common.serverProperties // {
      difficulty = 2;
      server-port = 30010;
      motd = "\\u00A7l\\u00A7aDew Demolisher is here.";
    };
    whitelist = common.whitelist;
    symlinks = common.paperSymlinks;
    files = common.configFiles;
  };
}
